<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/game/game.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_b0ef9bf4b1088606ddc71a6c73915b53.html">game</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">game.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="game_8hpp_source.html">game.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for game.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="game_8cpp__incl.png" border="0" usemap="#backend_2src_2lib_2game_2game_8cpp" alt=""/></div>
<map name="backend_2src_2lib_2game_2game_8cpp" id="backend_2src_2lib_2game_2game_8cpp">
<area shape="rect" title=" " alt="" coords="645,5,805,47"/>
<area shape="rect" href="game_8hpp.html" title=" " alt="" coords="682,95,769,121"/>
<area shape="rect" href="player_8hpp.html" title=" " alt="" coords="235,169,325,196"/>
<area shape="rect" title=" " alt="" coords="5,244,64,271"/>
<area shape="rect" title=" " alt="" coords="449,244,529,271"/>
<area shape="rect" title=" " alt="" coords="89,244,151,271"/>
<area shape="rect" title=" " alt="" coords="175,244,299,271"/>
<area shape="rect" href="ChatBackend_8hpp.html" title=" " alt="" coords="400,169,579,196"/>
<area shape="rect" title=" " alt="" coords="603,169,672,196"/>
<area shape="rect" title=" " alt="" coords="696,169,755,196"/>
<area shape="rect" title=" " alt="" coords="779,169,851,196"/>
<area shape="rect" title=" " alt="" coords="875,169,960,196"/>
<area shape="rect" title=" " alt="" coords="985,169,1055,196"/>
<area shape="rect" title=" " alt="" coords="1079,169,1206,196"/>
<area shape="rect" title=" " alt="" coords="1230,169,1327,196"/>
<area shape="rect" title=" " alt="" coords="1351,169,1422,196"/>
<area shape="rect" title=" " alt="" coords="1446,169,1511,196"/>
<area shape="rect" title=" " alt="" coords="324,244,425,271"/>
<area shape="rect" title=" " alt="" coords="651,244,746,271"/>
<area shape="rect" title=" " alt="" coords="554,244,627,271"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a97cf14a397ed31f6f3aae282542c04c0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_8cpp.html#a97cf14a397ed31f6f3aae282542c04c0">gamePhaseToStr</a> (<a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a> gamePhase)</td></tr>
<tr class="separator:a97cf14a397ed31f6f3aae282542c04c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb3ca93305c734a8543943f6f4b9791e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_8cpp.html#adb3ca93305c734a8543943f6f4b9791e">strToGamePhase</a> (const std::string strGamePhase)</td></tr>
<tr class="separator:adb3ca93305c734a8543943f6f4b9791e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a97cf14a397ed31f6f3aae282542c04c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97cf14a397ed31f6f3aae282542c04c0">&#9670;&nbsp;</a></span>gamePhaseToStr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string gamePhaseToStr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a>&#160;</td>
          <td class="paramname"><em>gamePhase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adb3ca93305c734a8543943f6f4b9791e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb3ca93305c734a8543943f6f4b9791e">&#9670;&nbsp;</a></span>strToGamePhase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="game_8hpp.html#a896617de6e1c82953f407789633057d8">GamePhase</a> strToGamePhase </td>
          <td>(</td>
          <td class="paramtype">const std::string&#160;</td>
          <td class="paramname"><em>strGamePhase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
